Release Info

Advisory: CLSA-2022:1658856539

OS: Ubuntu 16.04 ELS

Public date: 2022-07-26 00:00:00

Project: vim

Version: 3:7.4.1689-3ubuntu1.5+tuxcare.els24

Errata link: https://errata.cloudlinux.com/ubuntu16-els/CLSA-2022-1658856539.html

Changelog

* SECURITY UPDATE: Accessing freed memory with diff put - debian/patches/CVE-2022-2289.patch: Bail out when diff pointer is no longer valid - CVE-2022-2289 * SECURITY UPDATE: Spell dump may go beyond end of an array - debian/patches/CVE-2022-2304.patch: Limit the word length - CVE-2022-2304

Update

Update command: apt-get update apt-get --only-upgrade install vim*

Packages list

vim_7.4.1689-3ubuntu1.5+tuxcare.els24_amd64.deb vim-athena_7.4.1689-3ubuntu1.5+tuxcare.els24_amd64.deb vim-athena-py2_7.4.1689-3ubuntu1.5+tuxcare.els24_amd64.deb vim-common_7.4.1689-3ubuntu1.5+tuxcare.els24_amd64.deb vim-doc_7.4.1689-3ubuntu1.5+tuxcare.els24_all.deb vim-gnome_7.4.1689-3ubuntu1.5+tuxcare.els24_amd64.deb vim-gnome-py2_7.4.1689-3ubuntu1.5+tuxcare.els24_amd64.deb vim-gtk_7.4.1689-3ubuntu1.5+tuxcare.els24_amd64.deb vim-gtk-py2_7.4.1689-3ubuntu1.5+tuxcare.els24_amd64.deb vim-gtk3_7.4.1689-3ubuntu1.5+tuxcare.els24_amd64.deb vim-gtk3-py2_7.4.1689-3ubuntu1.5+tuxcare.els24_amd64.deb vim-gui-common_7.4.1689-3ubuntu1.5+tuxcare.els24_all.deb vim-nox_7.4.1689-3ubuntu1.5+tuxcare.els24_amd64.deb vim-nox-py2_7.4.1689-3ubuntu1.5+tuxcare.els24_amd64.deb vim-runtime_7.4.1689-3ubuntu1.5+tuxcare.els24_all.deb vim-tiny_7.4.1689-3ubuntu1.5+tuxcare.els24_amd64.deb

CVEs

CVE-2022-2304
CVE-2022-2289